"use strict";
/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const qwik = require("@builder.io/qwik");
const build = require("@builder.io/qwik/build");
const SpeakContext = qwik.createContextId("qwik-speak");
const _speakServerContext = {
  translation: {},
  config: {}
};
const _speakClientContext = {
  translation: {},
  config: {},
  locale: {}
};
const getSpeakContext = () => {
  if (build.isServer)
    return _speakServerContext;
  else
    return _speakClientContext;
};
const setSpeakServerContext = (config) => {
  if (build.isServer) {
    const { config: _config } = getSpeakContext();
    Object.assign(_config, config);
  }
};
const setSpeakClientContext = (locale, translation, config) => {
  if (build.isBrowser) {
    const _speakContext = getSpeakContext();
    const { locale: _locale, translation: _translation, config: _config } = _speakContext;
    Object.assign(_locale, locale);
    Object.assign(_translation, translation);
    Object.assign(_config, config);
  }
};
exports.getLang = () => "";
const setGetLangFn = (fn) => {
  exports.getLang = () => fn();
};
exports.SpeakContext = SpeakContext;
exports.getSpeakContext = getSpeakContext;
exports.setGetLangFn = setGetLangFn;
exports.setSpeakClientContext = setSpeakClientContext;
exports.setSpeakContext = setSpeakServerContext;
exports.setSpeakServerContext = setSpeakServerContext;
