/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
import { createContextId } from "@builder.io/qwik";
import { isServer, isBrowser } from "@builder.io/qwik/build";
const SpeakContext = createContextId("qwik-speak");
const _speakServerContext = {
  translation: {},
  config: {}
};
const _speakClientContext = {
  translation: {},
  config: {},
  locale: {}
};
const getSpeakContext = () => {
  if (isServer)
    return _speakServerContext;
  else
    return _speakClientContext;
};
const setSpeakServerContext = (config) => {
  if (isServer) {
    const { config: _config } = getSpeakContext();
    Object.assign(_config, config);
  }
};
const setSpeakClientContext = (locale, translation, config) => {
  if (isBrowser) {
    const _speakContext = getSpeakContext();
    const { locale: _locale, translation: _translation, config: _config } = _speakContext;
    Object.assign(_locale, locale);
    Object.assign(_translation, translation);
    Object.assign(_config, config);
  }
};
let getLang = () => "";
const setGetLangFn = (fn) => {
  getLang = () => fn();
};
export {
  SpeakContext,
  getLang,
  getSpeakContext,
  setGetLangFn,
  setSpeakClientContext,
  setSpeakServerContext as setSpeakContext,
  setSpeakServerContext
};
