"use strict";
/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const inlineTranslate = require("./inline-translate.qwik.cjs");
const inlinePlural = require("./inline-plural.qwik.cjs");
const useQwikSpeak = require("./use-qwik-speak.qwik.cjs");
const useSpeak = require("./use-speak.qwik.cjs");
const useFormatNumber = require("./use-format-number.qwik.cjs");
const useFormatDate = require("./use-format-date.qwik.cjs");
const useRelativeTime = require("./use-relative-time.qwik.cjs");
const useDisplayName = require("./use-display-name.qwik.cjs");
const useFunctions = require("./use-functions.qwik.cjs");
const context = require("./context.qwik.cjs");
const routing = require("./routing.qwik.cjs");
exports.inlineTranslate = inlineTranslate.inlineTranslate;
exports.inlinePlural = inlinePlural.inlinePlural;
exports.QwikSpeakMockProvider = useQwikSpeak.QwikSpeakMockProvider;
exports.useQwikSpeak = useQwikSpeak.useQwikSpeak;
exports.useSpeak = useSpeak.useSpeak;
exports.useFormatNumber = useFormatNumber.useFormatNumber;
exports.useFormatDate = useFormatDate.useFormatDate;
exports.useRelativeTime = useRelativeTime.useRelativeTime;
exports.useDisplayName = useDisplayName.useDisplayName;
exports.useSpeakConfig = useFunctions.useSpeakConfig;
exports.useSpeakContext = useFunctions.useSpeakContext;
exports.useSpeakLocale = useFunctions.useSpeakLocale;
exports.setSpeakContext = context.setSpeakServerContext;
exports.extractFromDomain = routing.extractFromDomain;
exports.extractFromUrl = routing.extractFromUrl;
exports.localizePath = routing.localizePath;
exports.toPrefixAsNeeded = routing.toPrefixAsNeeded;
exports.translatePath = routing.translatePath;
exports.validateLocale = routing.validateLocale;
