/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
import { inlineTranslate } from "./inline-translate.qwik.mjs";
import { inlinePlural } from "./inline-plural.qwik.mjs";
import { QwikSpeakMockProvider, useQwikSpeak } from "./use-qwik-speak.qwik.mjs";
import { useSpeak } from "./use-speak.qwik.mjs";
import { useFormatNumber } from "./use-format-number.qwik.mjs";
import { useFormatDate } from "./use-format-date.qwik.mjs";
import { useRelativeTime } from "./use-relative-time.qwik.mjs";
import { useDisplayName } from "./use-display-name.qwik.mjs";
import { useSpeakConfig, useSpeakContext, useSpeakLocale } from "./use-functions.qwik.mjs";
import { setSpeakServerContext } from "./context.qwik.mjs";
import { extractFromDomain, extractFromUrl, localizePath, toPrefixAsNeeded, translatePath, validateLocale } from "./routing.qwik.mjs";
export {
  QwikSpeakMockProvider,
  extractFromDomain,
  extractFromUrl,
  inlinePlural,
  inlineTranslate,
  localizePath,
  setSpeakServerContext as setSpeakContext,
  toPrefixAsNeeded,
  translatePath,
  useDisplayName,
  useFormatDate,
  useFormatNumber,
  useQwikSpeak,
  useRelativeTime,
  useSpeak,
  useSpeakConfig,
  useSpeakContext,
  useSpeakLocale,
  validateLocale
};
