"use strict";
/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const core = require("./core.qwik.cjs");
const context = require("./context.qwik.cjs");
const inlineTranslate = () => {
  const currentLang = context.getLang();
  const translate = (keys, params, lang) => {
    const { translation, config } = context.getSpeakContext();
    lang ?? (lang = currentLang);
    if (Array.isArray(keys))
      return keys.map((k) => core.getValue(k, translation[lang], params, config.keySeparator, config.keyValueSeparator));
    return core.getValue(keys, translation[lang], params, config.keySeparator, config.keyValueSeparator);
  };
  return translate;
};
exports.inlineTranslate = inlineTranslate;
