/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
import { getValue } from "./core.qwik.mjs";
import { getLang, getSpeakContext } from "./context.qwik.mjs";
const inlineTranslate = () => {
  const currentLang = getLang();
  const translate = (keys, params, lang) => {
    const { translation, config } = getSpeakContext();
    lang ?? (lang = currentLang);
    if (Array.isArray(keys))
      return keys.map((k) => getValue(k, translation[lang], params, config.keySeparator, config.keyValueSeparator));
    return getValue(keys, translation[lang], params, config.keySeparator, config.keyValueSeparator);
  };
  return translate;
};
export {
  inlineTranslate
};
