"use strict";
/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const logWarn = (message) => {
  console.warn("\x1B[33mQwik Speak warn\x1B[0m %s", message);
};
const logDebug = (enabled, message) => {
  if (enabled)
    console.debug("\x1B[36mQwik Speak\x1B[0m %s", message);
};
const logDebugInline = (enabled, ...data) => {
  if (enabled)
    console.debug("%cQwik Speak Inline", "background: #0c75d2; color: white; padding: 2px 3px; border-radius: 2px; font-size: 0.8em;", ...data);
};
exports.logDebug = logDebug;
exports.logDebugInline = logDebugInline;
exports.logWarn = logWarn;
