"use strict";
/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const useFunctions = require("./use-functions.qwik.cjs");
const useDisplayName = () => {
  const locale = useFunctions.useSpeakLocale();
  const displayName = (code, options, lang) => {
    lang ?? (lang = locale.extension ?? locale.lang);
    return new Intl.DisplayNames(lang, options).of(code) || code;
  };
  return displayName;
};
exports.useDisplayName = useDisplayName;
