/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
import { useSpeakLocale } from "./use-functions.qwik.mjs";
const useDisplayName = () => {
  const locale = useSpeakLocale();
  const displayName = (code, options, lang) => {
    lang ?? (lang = locale.extension ?? locale.lang);
    return new Intl.DisplayNames(lang, options).of(code) || code;
  };
  return displayName;
};
export {
  useDisplayName
};
