/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
import { useSpeakLocale } from "./use-functions.qwik.mjs";
const useFormatDate = () => {
  const locale = useSpeakLocale();
  const formateDate = (value, options, lang, timeZone) => {
    lang ?? (lang = locale.extension ?? locale.lang);
    timeZone = timeZone ?? locale.timeZone;
    value = new Date(value);
    options = {
      ...options
    };
    if (timeZone)
      options.timeZone = timeZone;
    return new Intl.DateTimeFormat(lang, options).format(value);
  };
  return formateDate;
};
export {
  useFormatDate
};
