"use strict";
/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const useFunctions = require("./use-functions.qwik.cjs");
const useFormatNumber = () => {
  const locale = useFunctions.useSpeakLocale();
  const formatNumber = (value, options, lang, currency) => {
    lang ?? (lang = locale.extension ?? locale.lang);
    currency = currency ?? locale.currency;
    value = +value;
    options = {
      ...options
    };
    if (currency)
      options.currency = currency;
    return new Intl.NumberFormat(lang, options).format(value);
  };
  return formatNumber;
};
exports.useFormatNumber = useFormatNumber;
