/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
import { useSpeakLocale } from "./use-functions.qwik.mjs";
const useFormatNumber = () => {
  const locale = useSpeakLocale();
  const formatNumber = (value, options, lang, currency) => {
    lang ?? (lang = locale.extension ?? locale.lang);
    currency = currency ?? locale.currency;
    value = +value;
    options = {
      ...options
    };
    if (currency)
      options.currency = currency;
    return new Intl.NumberFormat(lang, options).format(value);
  };
  return formatNumber;
};
export {
  useFormatNumber
};
