"use strict";
/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const useFunctions = require("./use-functions.qwik.cjs");
const useRelativeTime = () => {
  const locale = useFunctions.useSpeakLocale();
  const relativeTime = (value, unit, options, lang) => {
    lang ?? (lang = locale.extension ?? locale.lang);
    value = +value;
    return new Intl.RelativeTimeFormat(lang, options).format(value, unit);
  };
  return relativeTime;
};
exports.useRelativeTime = useRelativeTime;
