/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
import { useSpeakLocale } from "./use-functions.qwik.mjs";
const useRelativeTime = () => {
  const locale = useSpeakLocale();
  const relativeTime = (value, unit, options, lang) => {
    lang ?? (lang = locale.extension ?? locale.lang);
    value = +value;
    return new Intl.RelativeTimeFormat(lang, options).format(value, unit);
  };
  return relativeTime;
};
export {
  useRelativeTime
};
